## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

Name:           vulkan-volk
Version:        1.4.309.0
Release:        %autorelease
Summary:        Meta loader for Vulkan API

License:        MIT
URL:            https://github.com/zeux/volk
Source0:        %url/archive/vulkan-sdk-%{version}.tar.gz#/Vulkan-Volk-sdk-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake3
BuildRequires:  vulkan-headers

%description
%{summary}

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}
Requires:       vulkan-headers
Conflicts:      volk-devel

%description    devel
%{summary}

%prep
%autosetup -n volk-vulkan-sdk-%{version} -p1

%build
%cmake3 -DCMAKE_BUILD_TYPE=Release \
        -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
        -DVOLK_INSTALL:BOOL=ON
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE.md
%doc README.md
%dir %{_libdir}/cmake/volk
%{_includedir}/volk.h
%{_includedir}/volk.c
%{_libdir}/cmake/volk/*.cmake
%{_libdir}/libvolk.a

%changelog
## START: Generated by rpmautospec
* Thu Mar 27 2025 Anusha Srivatsa <asrivats@redhat.com> - 1.4.309.0-1
- Update to SDK v1.4.309.0

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.304.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 15 2025 José Expósito <jexposit@redhat.com> - 1.4.304.0-1
- Update to 1.4.304.0 SDK

* Fri Oct 11 2024 José Expósito <jexposit@redhat.com> - 1.3.296.0-1
- Update to 1.3.296.0 SDK

* Wed Aug 14 2024 José Expósito <jexposit@redhat.com> - 1.3.290.0-1
- Update to 1.3.290.0 SDK

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.283.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon May 27 2024 José Expósito <jexposit@redhat.com> - 1.3.283.0-1
- Update to 1.3.283.0 SDK

* Wed Apr 03 2024 José Expósito <jexposit@redhat.com> - 1.3.280.0-1
- Update to 1.3.280.0 SDK

* Thu Feb 22 2024 José Expósito <jexposit@redhat.com> - 1.3.275.0-1
- Update to 1.3.275.0 SDK

* Wed Jan 31 2024 José Expósito <jexposit@redhat.com> - 1.3.268.0-2
- Make vulkan-volk-devel conflict with volk-devel

* Wed Jan 31 2024 José Expósito <jexposit@redhat.com> - 1.3.268.0-1
- vulkan-volk v1.3.268.0
## END: Generated by rpmautospec
